<%@ page contentType="text/html;charset=GBK"%>
<%@ page import="net.sz600.online.*" %>
<%@ page import="net.sz600.tool.*" %>
<%@ include file="/sessionInfo.jsp"%>
<%

  int iCount = OlUserSession.getInstance().refresh(iDLID_SESSION);  
  //是否暂停
  OlMessageControl messageControl = new OlMessageControl(); 
  boolean pauseAlert = messageControl.isPause(session); 
  
  //有消息，弹出提示窗口
  StringBuffer sb = new StringBuffer("");
  if (iCount > 0) {
	  int iFirstJSID = OlUserSession.getInstance().getFirstMessageID(iDLID_SESSION);
	  sb.append("SzMessageYes");
	  sb.append(iCount);
	  sb.append("SzFirstJSID");
	  sb.append(iFirstJSID);
	  sb.append("SzEnd");
	  if (!pauseAlert) {
		  sb.append("SzMessageAlert");
	  }
  } else {
	  sb.append("SzMessageNot");
	  sb.append(iCount);	  
  }
  //增加用户
  sb.append("SzUserNameBegin");
  sb.append(sDLXM_SESSION);
  sb.append("SzUserNameEnd");
  
  sb.append("SzDepartNameBegin");
  sb.append(sBMMC_SESSION);
  sb.append("SzDepartNameEnd");
  
  //增加总人数/总在线数:2010-03-01
  int iOnlineCount = OlUserSession.getInstance().getOnLineUser().size();
  //System.out.println("iOnlineCount===" + iOnlineCount);
  int iAllCount = SzUserHelp.getLoginStaticMap().size();
  sb.append("SzOnlineCountBegin");
  sb.append(iOnlineCount);
  sb.append("SzOnlineCountEnd");  
  sb.append("SzAllCountBegin");
  sb.append(iAllCount);
  sb.append("SzAllCountEnd");   
    
  out.println(sb.toString());
  sb = null;

  

  //SzMessageYes  	有消息，后面跟着数量
  //SzFirstJSID	  	第一个消息的ID	SzEnd
  //SzMessageAlert 	是否需要消息提醒
  //SzMessageNot	没有消息
  //SzUserNameBegin 	用户名称	SzUserNameEnd
  //SzDepartNameBegin 	部门名称	SzDepartNameEnd
%>  
 



